Hooks:PostHook(WeaponFactoryTweakData, "init", "DeltaPointProSightModInit", function(self)
	local dlc_data = Global.dlc_manager.all_dlc_data["gage_pack_jobs"]
	if not dlc_data.verified then
		self.parts.wpn_fps_upg_o_deltapoint_pro.pcs = false
	end
	local custom_sight_id = "wpn_fps_upg_o_deltapoint_pro"
	local based_on_id = "wpn_fps_upg_o_rmr"
	local offset = Vector3(0, 0, -0.775)
	if self.parts[custom_sight_id].stance_mod then
		for _, wpn_id in pairs(self.parts[custom_sight_id].stance_mod) do
			if wpn_id.translation then
				wpn_id.translation = (wpn_id.translation + offset)
			end
		end
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end
end)